> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-features.md).

# Component: Features

**Purpose**: A display of images and text in columns. This component is typically used to market the features of your product or offer.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-hbwumtssfk.chromatic.com/?path=/story/shop-components-content-features--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

## Props

| Prop Name                  | Label                     | Type     | Default Value                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Description                              |
| -------------------------- | ------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| header                     | Header                    | string   | Lorem ipsum dolor sit amet                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | Header text                              |
| subHeader                  | Subheader                 | string   | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam suscipit.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Text for subheading                      |
| mobileSwipe                | Mobile swipe or stack     | boolean  | true                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |                                          |
| showSwipeArrows            | Show mobile swipe arrows? | boolean  | true                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |                                          |
| arrowColor\_\_limio\_color | Mobile swipe arrow color  | color    | #4444444                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |                                          |
| squareTheme                | Square Theme?             | boolean  | false                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |                                          |
| imageFit                   | Image shape               | picklist | cover                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | Options: contain, scale-down, right, top |
| features                   | Features                  | list     | <p>\[<br>{<br>"image": "",<br>"text": "Listen anywhere.",<br>"showButton\_\_limio\_boolean": false,<br>"buttonText": "Click here",<br>"buttonLink": "<https://www.limio.com>"<br>},<br>{<br>"image": "",<br>"header": "Listen without ads.",<br>"text": "Enjoy nonstop music.",<br>"showButton\_\_limio\_boolean": false,<br>"buttonText": "Click here",<br>"buttonLink": "<https://www.limio.com>"<br>},<br>{<br>"image": "",<br>"header": "Play any song.",<br>"text\_\_limio\_richtext": "Even on mobile.",<br>"showButton\_\_limio\_boolean": false,<br>"buttonText": "Click here",<br>"buttonLink": "<https://www.limio.com>"<br>},<br>{<br>"image": "",<br>"header": "Unlimited skips.",<br>"text": "Just hit next.",<br>"showButton\_\_limio\_boolean": false,<br>"buttonText": "Click here",<br>"buttonLink": "<https://www.limio.com>"<br>}<br>]</p> |                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.limio.com/components/component-library/standard-components/component-features.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
